Name:		maven-toolchains-plugin
Version:	1.0
Release:	%mkrel 7
Group:          Development/Java

Summary:	Maven plugin for sharing configuration across projects
License:	ASL 2.0
URL:		http://maven.apache.org/plugins/maven-toolchains-plugin/
Source0:	http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:         0001-Port-to-Eclipse-Sisu.patch
BuildArch:	noarch
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-toolchain)


%description
The Toolchains Plugins allows to share configuration across plugins. For
example to make sure the plugins like compiler, surefire, javadoc, webstart
etc. all use the same JDK for execution. Similarly to maven-enforcer-plugin, it
allows to control environmental constraints in the build.

%package javadoc
Summary:	API documentation for %{name}
Group:          Documentation

%description javadoc
The API documentation of %{name}.

%prep
%setup -q

%patch0 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Dec 25 2013 dmorgan <dmorgan> 1.0-7.mga4
+ Revision: 560671
- Port to new Sisu
- Rebuild against new javapackages

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Sep 18 2013 dmorgan <dmorgan> 1.0-4.mga4
+ Revision: 481048
- Build with xmvn

* Sat Jan 12 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 359802
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Update to 1.0 final

* Sat Nov 05 2011 gil <gil> 1.0-2.mga2
+ Revision: 163085
- add maven-checkstyle-plugin support, removed patch0
- imported package maven-toolchains-plugin


* Sun Jun 19 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm